import { TextField, TextFieldProps } from '../text-field/TextField';
import { ValidationMessages } from '../validator/Validator';
import { FieldType } from '../data-set/enum';
export declare type UrlFieldProps = TextFieldProps;
export default class UrlField extends TextField<UrlFieldProps> {
    static displayName: string;
    type: string;
    get range(): boolean;
    get defaultValidationMessages(): ValidationMessages;
    getFieldType(): FieldType;
}
